Instagram
Instagram Profile
Fetch detailed Instagram profile info by username.
GET
/instaprofileReturns full profile data including bio, followers, following, highlights, last posts, stories, and bio links.
GET
/instaprofileParameters
Request
bash
1curl -X GET 'https://execross.com/api/v3/instaprofile?userid=this.ang' \
2 -H 'Accept: application/json' \
3 -H 'apikey: YOUR-APIKEY'Response
Click Send to execute the request.
Example response
json
1{
2 "creator": "EXECROSS",
3 "ip": "61.5.71.228",
4 "result": {
5 "username": "this.ang",
6 "fullname": "Asking Ang",
7 "biography": "👨💻 Coding in the Quiet 🌄 | 📚 Exploring Algorithms | 🌿 Nature Enthusiast | ☕ Coffee Lover",
8 "follower": 5749,
9 "following": 142,
10 "post": "7",
11 "private": false,
12 "verified": false,
13 "picture": "https://scontent-gmp1-1.cdninstagram.com/v/t51.2885-19/...",
14 "profile": "https://instagram.com/this.ang",
15 "threadsUrl": "https://www.threads.net/@this.ang",
16 "biolink": [
17 {
18 "title": "",
19 "url": "http://ang.execross.com",
20 "link_type": "external"
21 },
22 {
23 "title": "",
24 "url": "https://execross.com",
25 "link_type": "external"
26 }
27 ],
28 "highlight": [
29 {
30 "title": "Dhiyaa'",
31 "count": "1",
32 "cover": "https://...",
33 "url": "https://www.instagram.com/stories/highlights/..."
34 }
35 ],
36 "lastpost": [
37 {
38 "caption": "SunSet",
39 "like": "0",
40 "comment": "0",
41 "created": "1 year ago",
42 "video": false,
43 "page": "https://instagram.com/p/...",
44 "url": "https://flufi-cdn.com/instagram/..."
45 }
46 ],
47 "business": {
48 "category": null,
49 "contact": "",
50 "status": false
51 },
52 "storie": [],
53 "lastreels": 0,
54 "whatsappLinked": false
55 },
56 "status": 200
57}Next
Instagram Post
